[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# FillQWord

Fill memory range with QWord (64-bit) values

## Declaration

Source position: systemh.inc line 788

`procedure FillQWord(`
`var x;`
`count: SizeInt;`
`value: QWord`
`);`

## Description

FillQWord fills the memory location of x with Count times value. The size of the filled memory location is therefor 8*count bytes.

## Errors

No checks are made to see if X actually has a minimum size of (Count*8) bytes. Therefor, other variables can be overwritten or the memory may be out of the accessible memory for the program. In the latter case a run-error or exception may be triggered.

## See also

FillChar |  | Fill memory region with certain character
FillWord |  | Fill memory region with 16-bit pattern